------------------------------------------------------------------------------
-- class 'NoHint5HO'
------------------------------------------------------------------------------

class 'NoHint5HO' (NoHintNHiddenObjects)

------------------------------------------------------------------------------
function NoHint5HO:__init(game_scene)
	NoHintNHiddenObjects.__init(self, game_scene)
	self.name = 'NoHint5HO'

	self.num_hidden_objects_to_complete = 5
end
------------------------------------------------------------------------------
-- called to show the inform window saying 'you've unlocked achievment'
function NoHint5HO:showUnlockedWindow(callback)
	callback()
end
------------------------------------------------------------------------------
function NoHint5HO:onHOCompleted(args)
	if not self.used_hint then
		self.num_hidden_objects_completed = self.num_hidden_objects_completed + 1
		self.game_scene:getInformManager():show_message('achievment_ho', self.num_hidden_objects_completed, self.num_hidden_objects_to_complete)
	end

	if self.num_hidden_objects_completed == self.num_hidden_objects_to_complete then
		self:setCompleted(true)
	end
	self.used_hint = false
end